Android App Review: Manage Your Connections Automagically – XDA TV

Material Design is all the buzz in the Android world right now. … more

Official TWRP Recovery Lands on Micromax Canvas Magnus

With the recent release of Android One, Micromax and MediaTek released fully buildable … more

Update Overload: SuperSU Heavily Updated

There are apps and apps out there. Very few can reach the level of popularity required to stay at … more

Lollipop Leak Available for the Sprint Galaxy S5

Since the Android 5.0Lollipop’s official release not too long ago, we’ve seen … more

Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[Q] Failed Assert when installing CM 10.2+ on SGH-T999V

OP Vyr1s

9th January 2014, 06:47 PM   |  #1  
OP Junior Member
Thanks Meter: 0
 
5 posts
Join Date:Joined: Sep 2010
Background:
Decided to fresh install CM via the fancy new installer and just refresh everything.
This wouldn't complete correctly.
Attempted to manually install 10.2 but get an assert failure.
Reinstalled 10.1.3 and it is currently running.

Current problem; CM10.2 / CM11 will not install correctly.
I'm pretty sure its just a matter of updating recovery or something silly but I can't find any concrete information regarding this.

Running: CWM v6.0.4.5

When I attempt to install either version I get an Assert Failed.

Suggestions?
9th January 2014, 08:47 PM   |  #2  
Perseus's Avatar
XDA: ASSIST
Recognized Contributor
Atlantis
Thanks Meter: 4,625
 
7,535 posts
Join Date:Joined: Feb 2011
Donate to Me
More
6.0.4.5 is the latest CWM.

Are you sure you are choosing the CM for YOUR device ?
9th January 2014, 08:54 PM   |  #3  
OP Junior Member
Thanks Meter: 0
 
5 posts
Join Date:Joined: Sep 2010
Quote:
Originally Posted by Perseus71

6.0.4.5 is the latest CWM.

Are you sure you are choosing the CM for YOUR device ?

Pretty sure, since if I choose 10.1.3 and install it from the same download page it works.
I've always used d2tmo
It's a Samsung Galaxy S3 from WIND mobile.
Mod: SGH-T999V

I've tried the following CM versions from get.cm
cm-10.2.0-RC1-d2tmo.zip
cm-11-20140104-SNAPSHOT-M2-d2tmo.zip
cm-10.2-20131102-SNAPSHOT-M1-d2tmo.zip
9th January 2014, 11:30 PM   |  #4  
Perseus's Avatar
XDA: ASSIST
Recognized Contributor
Atlantis
Thanks Meter: 4,625
 
7,535 posts
Join Date:Joined: Feb 2011
Donate to Me
More
If that's the case then edit the updater script and add your device to the Asserts or remove them alltogether.
10th January 2014, 06:08 AM   |  #5  
OP Junior Member
Thanks Meter: 0
 
5 posts
Join Date:Joined: Sep 2010
Quote:
Originally Posted by Perseus71

If that's the case then edit the updater script and add your device to the Asserts or remove them alltogether.

Yeah my baseband is currently T999VVLLH2 when looking at about phone, which I don't see in the list when its failing the assert.
Currently failing looking for;
T999UVDLJA
T999UVDLJC
T999UVDMD5
T999UVUEMJC
T999VVLDLL1
T999LUVAMB7
T999VVLDMF2
T999VVLUEMK5
10th January 2014, 06:46 AM   |  #6  
OP Junior Member
Thanks Meter: 0
 
5 posts
Join Date:Joined: Sep 2010
Quote:
Originally Posted by Vyr1s

Yeah my baseband is currently T999VVLLH2 when looking at about phone, which I don't see in the list when its failing the assert.
Currently failing looking for;
T999UVDLJA
T999UVDLJC
T999UVDMD5
T999UVUEMJC
T999VVLDLL1
T999LUVAMB7
T999VVLDMF2
T999VVLUEMK5

Updated my baseband to match "T999VVLUEMK5".
Still failing though.
10th January 2014, 07:25 AM   |  #7  
OP Junior Member
Thanks Meter: 0
 
5 posts
Join Date:Joined: Sep 2010
Quote:
Originally Posted by Vyr1s

Updated my baseband to match "T999VVLUEMK5".
Still failing though.

Updated to the newest bootloader, updated the modem again, finally accepted CM11 snapshot, installed gapps for KK and everything is gravy now.
10th January 2014, 04:51 PM   |  #8  
Perseus's Avatar
XDA: ASSIST
Recognized Contributor
Atlantis
Thanks Meter: 4,625
 
7,535 posts
Join Date:Joined: Feb 2011
Donate to Me
More
Quote:
Originally Posted by Vyr1s

Updated to the newest bootloader, updated the modem again, finally accepted CM11 snapshot, installed gapps for KK and everything is gravy now.

Its not the baseband but the Bootloader that it was looking for. So when you updated the bootloader, it accepted that. Glad its all sorted out.
12th January 2014, 01:40 AM   |  #9  
Junior Member
Thanks Meter: 1
 
16 posts
Join Date:Joined: Sep 2010
Quote:
Originally Posted by Vyr1s

Updated to the newest bootloader, updated the modem again, finally accepted CM11 snapshot, installed gapps for KK and everything is gravy now.

Hi,

I am having the same issue, can you point me the thread that shows the step by step procedure to update my boatloader pls
12th January 2014, 03:01 AM   |  #10  
Perseus's Avatar
XDA: ASSIST
Recognized Contributor
Atlantis
Thanks Meter: 4,625
 
7,535 posts
Join Date:Joined: Feb 2011
Donate to Me
More
Quote:
Originally Posted by dealguy007

Hi,

I am having the same issue, can you point me the thread that shows the step by step procedure to update my boatloader pls

Try this thread.

Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes